pyFTS.data package
==================

.. toctree::
	:maxdepth: 3
	:caption: Index:

Module contents
---------------

.. automodule:: pyFTS.data
    :members:
    :undoc-members:
    :show-inheritance:
    


Submodules
----------

pyFTS.data.common module
------------------------

.. automodule:: pyFTS.data.common
    :members:
    :undoc-members:
    :show-inheritance:
    
Datasets
--------

AirPassengers dataset
-------------------------------

.. automodule:: pyFTS.data.AirPassengers
    :members:
    :undoc-members:
    :show-inheritance:

Bitcoin dataset
-------------------------------

.. automodule:: pyFTS.data.Bitcoin
    :members:
    :undoc-members:
    :show-inheritance:

DowJones dataset
-----------------------------

.. automodule:: pyFTS.data.DowJones
    :members:
    :undoc-members:
    :show-inheritance:

Enrollments dataset
-----------------------------

.. automodule:: pyFTS.data.Enrollments
    :members:
    :undoc-members:
    :show-inheritance:
    
Ethereum dataset
-----------------------------

.. automodule:: pyFTS.data.Ethereum
    :members:
    :undoc-members:
    :show-inheritance:
    
    
EUR-GBP dataset
-----------------------------

.. automodule:: pyFTS.data.EURGBP
    :members:
    :undoc-members:
    :show-inheritance:
    
EUR-USD dataset
-----------------------------

.. automodule:: pyFTS.data.EURUSD
    :members:
    :undoc-members:
    :show-inheritance:
    
    
GBP-USD dataset
-----------------------------

.. automodule:: pyFTS.data.GBPUSD
    :members:
    :undoc-members:
    :show-inheritance:

INMET dataset
-----------------------

.. automodule:: pyFTS.data.INMET
    :members:
    :undoc-members:
    :show-inheritance:
    
Malaysia dataset
-----------------------

.. automodule:: pyFTS.data.Malaysia
    :members:
    :undoc-members:
    :show-inheritance:

NASDAQ module
------------------------

.. automodule:: pyFTS.data.NASDAQ
    :members:
    :undoc-members:
    :show-inheritance:

SONDA dataset
-----------------------

.. automodule:: pyFTS.data.SONDA
    :members:
    :undoc-members:
    :show-inheritance:

S&P 500 dataset
-----------------------

.. automodule:: pyFTS.data.SP500
    :members:
    :undoc-members:
    :show-inheritance:

TAIEX dataset
-----------------------

.. automodule:: pyFTS.data.TAIEX
    :members:
    :undoc-members:
    :show-inheritance:

pyFTS.data.artificial module
----------------------------

.. automodule:: pyFTS.data.artificial
    :members:
    :undoc-members:
    :show-inheritance:

Henon chaotic time series
-------------------------

.. automodule:: pyFTS.data.henon
    :members:
    :undoc-members:
    :show-inheritance:

Logistic\_map chaotic time series
----------------------------------

.. automodule:: pyFTS.data.logistic_map
    :members:
    :undoc-members:
    :show-inheritance:

Lorentz chaotic time series
---------------------------

.. automodule:: pyFTS.data.lorentz
    :members:
    :undoc-members:
    :show-inheritance:

Mackey-Glass chaotic time series
--------------------------------

.. automodule:: pyFTS.data.mackey_glass
    :members:
    :undoc-members:
    :show-inheritance:

Rossler chaotic time series
---------------------------

.. automodule:: pyFTS.data.rossler
    :members:
    :undoc-members:
    :show-inheritance:

Sunspots dataset
----------------

.. automodule:: pyFTS.data.sunspots
    :members:
    :undoc-members:
    :show-inheritance:



